Zero-friction vulnerability management platform

Mageni eases for you the vulnerability scanning, assessment, and management process. It is free and open-source.

Install Now

Available for macOS, Windows, and Linux

App screenshot

Debian Security Advisory DSA 3404-1 (python-django - security update)

Information

Severity

Severity

Medium

Family

Family

Debian Local Security Checks

CVSSv2 Base

CVSSv2 Base

5.0

CVSSv2 Vector

CVSSv2 Vector

AV:N/AC:L/Au:N/C:P/I:N/A:N

Solution Type

Solution Type

Vendor Patch

Created

Created

7 years ago

Modified

Modified

1 year ago

Summary

Ryan Butterfield discovered a vulnerability in the date template filter in python-django, a high-level Python web development framework. A remote attacker can take advantage of this flaw to obtain any secret in the application's settings.

Affected Software

Affected Software

python-django on Debian Linux

Detection Method

Detection Method

This check tests the installed software version using the apt package manager.

Solution

Solution

For the oldstable distribution (wheezy), this problem has been fixed in version 1.4.5-1+deb7u14. For the stable distribution (jessie), this problem has been fixed in version 1.7.7-1+deb8u3. For the unstable distribution (sid), this problem has been fixed in version 1.8.7-1. We recommend that you upgrade your python-django packages.

Common Vulnerabilities and Exposures (CVE)